[PATCH 2.6.11] aoe [4/12]: handle distros that have a udev rules file instead of dir

From: ecashin
Date: Thu Mar 24 2005 - 10:20:03 EST



handle distros that have a udev rules file instead of dir

Signed-off-by: Ed L. Cashin <ecashin@xxxxxxxxxx>

diff -uprN a/Documentation/aoe/udev-install.sh b/Documentation/aoe/udev-install.sh
--- a/Documentation/aoe/udev-install.sh 2005-03-10 11:59:55.000000000 -0500
+++ b/Documentation/aoe/udev-install.sh 2005-03-10 12:19:18.000000000 -0500
@@ -23,4 +23,8 @@ fi
# /etc/udev/rules.d
#
rules_d="`sed -n '/^udev_rules=/{ s!udev_rules=!!; s!\"!!g; p; }' $conf`"
-test "$rules_d" && sh -xc "cp `dirname $0`/udev.txt $rules_d/60-aoe.rules"
+if test -z "$rules_d" || test ! -d "$rules_d"; then
+ echo "$me Error: cannot find udev rules directory" 1>&2
+ exit 1
+fi
+sh -xc "cp `dirname $0`/udev.txt $rules_d/60-aoe.rules"


--
Ed L. Cashin <ecashin@xxxxxxxxxx>
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/